Bug 130013 - mptscsih driver probes beyond 32 targets on parallel scsi
mptscsih driver probes beyond 32 targets on parallel scsi
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-08-16 12:04 EDT by Bill Peck
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-21 17:40:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Peck 2004-08-16 12:04:55 EDT
Description of problem:
mptscsih driver probes beyond 32 targets on parallel scsi

This problem shows up on Bull Nova scale installations.  Just adding
this in case someone searches on install issues with Bull.

Version-Release number of selected component (if applicable):
Both U2 and U3 candidate show this behavior

How reproducible:

Steps to Reproduce:
1. Either install via anaconda or upgrade kernel
Actual results:
System shows Firmware bugs when probing the targets

Expected results:

Additional info:
There is a workaround.

If installing from anaconda add expert noprobe to the linux prompt. 
Then when selecting drivers be sure to select the 20505 version of
mptbase and mptscsih.

If upgrading to the new kernel be sure to change /etc/modules.conf to
use this version of mptscsih
alias scsi_hostadapter mptbase_20505
alias scsi_hostadapter1 mptscsih_20505

Tom Coughlan is aware of the bug and is building me a test driver.
Comment 1 Tom Coughlan 2004-12-21 17:40:42 EST
This was fixed in U4. 
Comment 2 Ernie Petrides 2004-12-21 18:16:21 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.